Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158458 - gcc-gnat on ppc disabled
Summary: gcc-gnat on ppc disabled
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 157550 174720
TreeView+ depends on / blocked
 
Reported: 2005-05-22 15:36 UTC by Colin Charles
Modified: 2013-01-10 03:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-05 10:22:46 UTC


Attachments (Terms of Use)
bootstrap patch for specfile (deleted)
2007-01-04 00:54 UTC, David Woodhouse
no flags Details | Diff

Description Colin Charles 2005-05-22 15:36:07 UTC
Bootstrap comparison failures existed in March 2005, but is this still prevalent
with regards to the current release of gcc in FC4/devel. So this makes Ada stuff
not work on ppc... Will it be fixed before FC-4 goes out?

gcc-4.0.0-2.ppc is currently whats current on ppc (and other archs)

Comment 1 Jakub Jelinek 2005-05-23 07:52:47 UTC
For FC-5 maybe, for FC-4 definitely not.  Ada is certainly low priority and
adding a new Ada arch because of the Ada bootstrap requirements is time
consuming.

Comment 2 David Woodhouse 2006-12-28 11:46:48 UTC
Was this related to http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10129 and is it
now fixed? Would be good to have this fixed by FC7, so reopening.

Jakub, if you want to reclose it please could you make sure there's a current
bug in GCC bugzilla and set the resolution to 'UPSTREAM'?

Comment 3 David Woodhouse 2006-12-28 18:57:09 UTC
I'm told that gnat should now be working -- we just need to get it bootstrapped.

To test that theory I'm doing a test build of gcc-4.1.1 with %build_ada enabled,
building with FC2's gcc-3.3.3.

Comment 4 David Woodhouse 2006-12-29 11:52:34 UTC
That build seems to work (although it failed at the final hurdle because I'd set
%buildjava to zero to speed it up so it had some files missing).

It had already populated the buildroot though, and the resulting gnat files from
a 32-bit build (along with the compiler driver /usr/bin/gcc) are at
http://david.woodhou.se/gcc-gnat-4.1.1-47.ppc.tar.gz

I'm not entirely sure how to use these to bootstrap Ada in brew -- perhaps by
including the tarball (and a similarly-generated 64-bit tarball) as 'source'
files in the package for one build, then rebuilding 'properly' once it's managed
to spit out gcc-gnat and libgnat into the build system?

Or maybe by creating a special buildroot for it which contains FC2's gcc-3.3.3
packages instead of the current FC6 compiler, then just doing normal ppc and
ppc64 builds and letting those get inherited into the FC7 system?

Jesse will know; Jesse likes bootstrapping things.

Comment 5 Jesse Keating 2006-12-29 16:26:20 UTC
Gee, thanks (:

Either method should work, using tarballs is slightly less work then creating a
special buildroot.  Either way I'll be able to help you when I return from
forced holiday.

Comment 6 David Woodhouse 2006-12-30 20:41:55 UTC
32-bit packages seem fine, and are uploaded to ftp://ftp.infradead.org/pub/fc6-ada/

The 64-bit package failed though -- is this because I was building it on a
"normal" system and not a pure 64-bit buildroot, or is it a real problem?

../../xgcc -B../../  -c -g -O2 -fPIC -specs=ldblspecs -mno-minimal-toc      -W
-Wall -gnatpg  a-elchha.adb -o a-elchha.o
../../xgcc -B../../  -c -g -O2 -fPIC -specs=ldblspecs -mno-minimal-toc      -W
-Wall -gnatpg -g -O1 -fno-inline \
               a-except.adb -o a-except.o
a-exexpr.adb:169:04: warning: types for unchecked conversion have different sizes
make[9]: *** [a-except.o] Error 1
make[9]: Leaving directory
`/home/dwmw2/working/pkgs/gcc/FC-6/gcc-4.1.1-20061220/obj-ppc64-redhat-linux/gcc/ada/rts'
make[8]: *** [gnatlib] Error 2


Comment 7 David Woodhouse 2007-01-04 00:54:00 UTC
Created attachment 144759 [details]
bootstrap patch for specfile

A scratch build of gcc-4.1.1-50.ada is running with this patch now, as a test.
If the result is successful, we should be able to build once with this in
dist-fc7, then back out all but the first hunk and build again. Perhaps even
FC-6 too?

I've tested GtkAda and ghdl with the manually bootstrapped gcc-gnat; I'll do so
again with the packages which this test build spits out.


Note You need to log in before you can comment on or make changes to this bug.